﻿using System;
using System.Drawing;

using DevExpress.XtraMap;

namespace TestProject
{
    /// <summary>
    /// 커스텀 맵 데이터 공급자
    /// </summary>
    public class CustomMapDataProvider : MapDataProviderBase
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 투영법
        /// </summary>
        private readonly SphericalMercatorProjection projection = new SphericalMercatorProjection();

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 투영법 - Projection

        /// <summary>
        /// 투영법
        /// </summary>
        public override ProjectionBase Projection
        {
            get
            {
                return this.projection;
            }
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 픽셀 단위 기본 크기 - BaseSizeInPixels

        /// <summary>
        /// 픽셀 단위 기본 크기
        /// </summary>
        protected override Size BaseSizeInPixels
        {
            get
            {
                return new Size
                (
                    Convert.ToInt32(CustomMapTileSource.TileSize * 2),
                    Convert.ToInt32(CustomMapTileSource.TileSize * 2)
                );
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CustomMapDataProvider()

        /// <summary>
        /// 생성자
        /// </summary>
        public CustomMapDataProvider()
        {
            TileSource = new CustomMapTileSource(this);
        }

        #endregion
    }
}